//
//  A T2 test game: 
//

#include <adv.t>
#include <std.t>

startroom: room
   sdesc = "XTads T2 banner test"
   ldesc = "Should show a lhs banner that changes width: unspecified, previous, previous, unspecified..."
   turnCount = 0
   widths = [nil, 'previous', 'previous', nil]
   contentList = ['one', 'twoo twoo', 'threee three three', 'fourrrrrr fourrrr']
	statusLine =
		{
		local cycleCount;
		local width;
		local widthAttr;
		
		turnCount += 1;
		cycleCount := ((turnCount - 1) % length(widths)) + 1;
		width := widths[cycleCount];
		if (width = nil) {
			widthAttr := '';
		} else {
			widthAttr := ('width=' + width);
		}
		
		"<banner id=custStatusLine align=left <<widthAttr>> border>
			<<contentList[cycleCount]>>
		</banner>";
		}
;

replace commonInit: function
{
    // turn on html mode
    "\H+";
}
